import { WalkingStep } from './Types';
export default class DomWalker {
    current: Node;
    root: Node;
    isEntering: boolean;
    constructor(root: Node);
    isContainer(node: Node): () => boolean;
    isElement(node: Node): node is HTMLElement;
    next(): WalkingStep;
    private moveNext(previous, wasEntering);
    resumeAt(node: Node, isEntering: boolean): void;
}
