import * as commonmark from 'commonmark';
import { Ast2MarkdownOptions } from './Types';
export default class MarkdownRenderer {
    private options;
    constructor(options?: Ast2MarkdownOptions);
    private buffer;
    private prefix;
    private neededNewLines;
    private isBeginLine;
    private isNoWrap;
    private inTightListItem;
    private lastChar();
    private truncatePrefix(length);
    private blankline();
    private newLine();
    private literal(s);
    private outputCharacter(escape, c, nextC);
    private out(source, wrap, escape);
    private shorterstUnusedBacktickSequence(code);
    private longestBacktickSequence(code);
    private isContainer(node);
    private getContainingBlock(node);
    private isTightList(node);
    private consolidateTextNodes(root);
    private isAutolink(node);
    private renderNode(node, entering);
    render(root: commonmark.Node): string;
}
